package cn.ysk.cashier.service;

import cn.ysk.cashier.dto.TbPlatformDictDto;
import cn.ysk.cashier.dto.TbPlatformDictQueryCriteria;
import cn.ysk.cashier.pojo.TbPlatformDict;

import java.util.List;
import java.util.Map;

public interface TbPlatformDictService {
    /**
     * 查询数据分页
     * @param criteria 条件

     * @return Map<String,Object>
     */
    Map<String,Object> queryAllPage(TbPlatformDictQueryCriteria criteria);

    /**
     * 查询所有数据不分页
     * @param criteria 条件参数
     * @return List<TbPlatformDictDto>
     */
    List<TbPlatformDictDto> queryAll(TbPlatformDictQueryCriteria criteria);

    List<TbPlatformDictDto> queryByType(String type);

    List<TbPlatformDictDto> queryByIds(List ids);

    /**
     * 根据ID查询
     * @param id ID
     * @return TbPlatformDictDto
     */
    TbPlatformDictDto findById(Integer id);

    /**
     * 创建
     * @param resources /
     * @return TbPlatformDictDto
     */
    TbPlatformDictDto create(TbPlatformDict resources);

    /**
     * 编辑
     * @param resources /
     */
    void update(TbPlatformDict resources);

    /**
     * 多选删除
     * @param ids /
     */
    void deleteAll(Integer[] ids);
}
